Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.tags
Class JspTag

    java.lang.Object
      org.htmlparser.AbstractNode
          org.htmlparser.lexer.nodes.TagNode
              org.htmlparser.tags.Tag
                  org.htmlparser.tags.JspTag

All Implemented Interfaces:
  Cloneable, Node, Serializable

public class JspTag
extends Tag

The JSP/ASP tags like <%...%> can be identified by this class.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.htmlparser.tags.Tag
`mDefaultScanner`

Fields inherited from class org.htmlparser.lexer.nodes.TagNode
`breakTags, mAttributes`

Fields inherited from class org.htmlparser.AbstractNode
`children, mPage, nodeBegin, nodeEnd, parent`

Constructor Summary
`JspTag()` Create a new jsp tag.

Method Summary
`String[]` | `getIds()` Return the set of names handled by this tag.
`String` | `toString()` Print the contents of the jsp tag.

Methods inherited from class org.htmlparser.tags.Tag
`accept, accept, clone, getEnders, getEndTagEnders, getThisScanner, setThisScanner`

Methods inherited from class org.htmlparser.lexer.nodes.TagNode
`breaksFlow, getAttribute, getAttributeEx, getAttributes, getAttributesEx, getEndingLineNumber, getParameter, getParsed, getRawTagName, getStartingLineNumber, getTagBegin, getTagEnd, getTagName, getText, isEmptyXmlTag, isEndTag, removeAttribute, setAttribute, setAttribute, setAttribute, setAttributes, setAttributesEx, setEmptyXmlTag, setTagBegin, setTagEnd, setTagName, setText, toHtml, toPlainTextString`

Methods inherited from class org.htmlparser.AbstractNode
`collectInto, doSemanticAction, elementBegin, elementEnd, getChildren, getEndPosition, getPage, getParent, getStartPosition, setChildren, setEndPosition, setPage, setParent, setStartPosition, toHTML`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JspTag

    public JspTag()

  Create a new jsp tag.

Method Detail

### getIds

    public String[] getIds()

  Return the set of names handled by this tag.

  Overrides:
    `getIds` in class `Tag`
  Returns:
    The names to be matched that create tags of this type.

### toString

    public String toString()

  Print the contents of the jsp tag.

  Specified by:
    `toString` in interface `Node`
  Overrides:
    `toString` in class `TagNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2004 Somik Raha Mar 14, 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL.